Where is the NetSecurity Module

This topic contains 0 replies, has 1 voice, and was last updated by Profile photo of Forums Archives Forums Archives 5 years, 5 months ago.

  • Author
    Posts
  • #5710

    by bmkinney at 2013-03-21 18:22:47

    Hello Everyone,

    I am following along in the Learn Powershell v3 in a month of lunches and have come across a snag. I am trying to list windows firewall rules but to do this I need to import the netsecurity module. I run get-module -listavailable and it is not showing up. I am running powershell v3 on Windows Server 2008R2. I performed the art of googling and only saw one post stating that:
    "The are new modules in powershell 3.0 that are only included as part of the roles/features that ship with Windows Server 2012, and in some cases they are also available on Windows 8. Unfortunately, they cannot be installed on previous versions of Windows, and NetSecurity is one of this module"

    Can someone confirm that the NetSecurity module cannot be added to Powershell v3 on 2k8r2?

    Thanks!

    by bmkinney at 2013-03-21 19:22:06

    Nevermind all. Solved it myself. Went back and read through the lab again and at the top it states "Note: For this lab you will need a computer running Windows 8 or Server 2012". Looks like netsh is the only way to modify the firewall pre windows 8 and server 2012 #Lame.

You must be logged in to reply to this topic.